cc.funkemunky.bungee.utils.reflection.types

## Class WrappedField

- java.lang.Object
- - cc.funkemunky.bungee.utils.reflection.types.WrappedField

    public class WrappedField
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`WrappedField(WrappedClass parent, java.lang.reflect.Field field)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> T` `get(java.lang.Object parent)`
`<T> T` `getAnnotation(java.lang.Class<? extends java.lang.annotation.Annotation> annClass)`
`int` `getModifiers()`
`boolean` `isAnnotationPresent(java.lang.Class<? extends java.lang.annotation.Annotation> annClass)`
`void` `set(java.lang.Object parent, java.lang.Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WrappedField

    public WrappedField(WrappedClass parent,
                        java.lang.reflect.Field field)

### Method Detail

#### get

    public <T> T get(java.lang.Object parent)

#### set

    public void set(java.lang.Object parent,
                    java.lang.Object value)

#### isAnnotationPresent

    public boolean isAnnotationPresent(java.lang.Class<? extends java.lang.annotation.Annotation> annClass)

#### getAnnotation

    public <T> T getAnnotation(java.lang.Class<? extends java.lang.annotation.Annotation> annClass)

#### getModifiers

    public int getModifiers()